local TriggerType = {
    None = "None",
    NoChange = "NoChange",
    Hot = "Hot",
    Cold = "Cold",
    Opposite = "Opposite"
}

local obj = {}

obj.name = "ArphimigonHelper/DashTriggeredCoreModeController"
obj.depth = 1000
obj.justification = {0.5, 0.5}
obj.placements = {
    name = "Dash Triggered Core Mode Controller",
    data = {
        zeroDash = TriggerType.Cold,
        oneDash = TriggerType.None,
        twoDash = TriggerType.Hot
    }
}

obj.fieldInformation = {
    zeroDash = {
        options = TriggerType,
        editable = false
    },
    oneDash = {
        options = TriggerType,
        editable = false
    },
    twoDash = {
        options = TriggerType,
        editable = false
    },
}

function obj.texture(room, entity)
    return "objects/coreFlipSwitch/switch01"
end

return obj